package com.gyee.generation.model.vo;

public class PrAnalysisVo {

    /**
     * 设备编号
     */
    private String wtid;

    /**
     * 运行等级
     */

    private String level;
    /**
     * 容量
     */

    private Double rl;

    /**
     * 累计光照
     */

    private Double ljgzz;

    /**
     * 发电量
     */

    private Double fdl;

    /**
     * 最大理论发电量
     */

    private Double llfdlmax;

    /**
     * pr值
     */

    private Double pr = 0.0;

    /**
     * pr环比
     */
    private Double prhb = 0.0;

    /**
     * pr环比增长率
     */
    private Double prhbzzl = 0.0;


    /**
     * pr同比
     */
    private Double prtb = 0.0;

    /**
     * pr同比增长率
     */
    private Double prtbzzl = 0.0;

    private Integer prpm;


    //    private Integer wtidpm;
    private Integer prhbpm;
    private Integer prtbpm;

    private Integer fdlpm;
    private Integer llfdlmaxpm;
    private Integer ljgzzpm;
    private Integer prhbzzlpm;
    private Integer prtbzzlpm;

    public Integer getPrhbpm() {
        return prhbpm;
    }

    public void setPrhbpm(Integer prhbpm) {
        this.prhbpm = prhbpm;
    }

    public Integer getPrtbpm() {
        return prtbpm;
    }

    public void setPrtbpm(Integer prtbpm) {
        this.prtbpm = prtbpm;
    }

    public Integer getPrhbzzlpm() {
        return prhbzzlpm;
    }

    public void setPrhbzzlpm(Integer prhbzzlpm) {
        this.prhbzzlpm = prhbzzlpm;
    }

    public Integer getPrtbzzlpm() {
        return prtbzzlpm;
    }

    public void setPrtbzzlpm(Integer prtbzzlpm) {
        this.prtbzzlpm = prtbzzlpm;
    }

    public String getWtid() {
        return wtid;
    }

    public void setWtid(String wtid) {
        this.wtid = wtid;
    }

    public Double getPr() {
        return pr;
    }

    public void setPr(Double pr) {
        this.pr = pr;
    }

    public Double getPrhb() {
        return prhb;
    }

    public void setPrhb(Double prhb) {
        this.prhb = prhb;
    }

    public Double getPrhbzzl() {
        return prhbzzl;
    }

    public void setPrhbzzl(Double prhbzzl) {
        this.prhbzzl = prhbzzl;
    }

    public Double getPrtb() {
        return prtb;
    }

    public void setPrtb(Double prtb) {
        this.prtb = prtb;
    }

    public Double getPrtbzzl() {
        return prtbzzl;
    }

    public void setPrtbzzl(Double prtbzzl) {
        this.prtbzzl = prtbzzl;
    }

    public Integer getPrpm() {
        return prpm;
    }

    public void setPrpm(Integer prpm) {
        this.prpm = prpm;
    }

    public Double getRl() {
        return rl;
    }

    public void setRl(Double rl) {
        this.rl = rl;
    }

    public Double getFdl() {
        return fdl;
    }

    public void setFdl(Double fdl) {
        this.fdl = fdl;
    }

    public Double getLlfdlmax() {
        return llfdlmax;
    }

    public void setLlfdlmax(Double llfdlmax) {
        this.llfdlmax = llfdlmax;
    }

    public Double getLjgzz() {
        return ljgzz;
    }

    public void setLjgzz(Double ljgzz) {
        this.ljgzz = ljgzz;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getFdlpm() {
        return fdlpm;
    }

    public void setFdlpm(Integer fdlpm) {
        this.fdlpm = fdlpm;
    }

    public Integer getllfdlmaxpm() {
        return llfdlmaxpm;
    }

    public void setllfdlmaxpm(Integer llfdlmaxpm) {
        this.llfdlmaxpm = llfdlmaxpm;
    }

    public Integer getljgzzpm() {
        return ljgzzpm;
    }

    public void setLjgzzpm(Integer ljgzzpm) {
        this.ljgzzpm = ljgzzpm;
    }
}
